For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
          • POSTCreate
          • PUTUpdate
          • GETGet Multi Paginated
          • GETGet
          • GETGet History
          • GETGet Multi
          • GETScan
          • POSTBatch Update Ppg
          • POSTCheck Eligibility
          • GETGet Eligibility
Contact Sales
LogoLogo
API ReferencePre EncounterCoveragesV1

Check Eligibility

Beta
POST
/coverages/v1//:id/eligibility
POST
/coverages/v1//:id/eligibility
$curl -X POST https://pre-api.joincandidhealth.com/coverages/v1/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/eligibility \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "service_code": "1",
> "date_of_service": "2023-01-15",
> "npi": "npi"
>}'
200Successful
1{
2 "check_id": "check_id",
3 "service_code": "1",
4 "status": "COMPLETED",
5 "initiated_by": "initiated_by",
6 "initiated_at": "2024-01-15T09:30:00Z"
7}
Initiates an eligibility check. Returns the metadata of the check if successfully initiated.
Was this page helpful?
Previous

Get Eligibility

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idUUIDRequired
The unique identifier for a Coverage in the database

Request

This endpoint expects an object.
service_codeenumRequired

Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)

date_of_servicedateRequired
npistringRequired

Response

This endpoint returns an object.
check_idstring
service_codeenum

Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)

statusenum
enum to represent the status of an eligibility checks
Allowed values:
initiated_bystring
The unique identifier for a User in the database
initiated_atdatetime